import { Card, CardContent, CardDescription, CardHeader, CardTitle } from "@/components/ui/card";
import Link from "next/link";

export default function Home() {
  return (
    <div className="space-y-6">
      <h1 className="text-3xl font-bold">Dashboard</h1>
      <div className="grid gap-4 md:grid-cols-2">
        <Link href="/users">
          <Card className="hover:bg-gray-50 transition-colors">
            <CardHeader>
              <CardTitle>Users</CardTitle>
              <CardDescription>Manage system users</CardDescription>
            </CardHeader>
            <CardContent>
              <p>View, create, edit, and delete users</p>
            </CardContent>
          </Card>
        </Link>
        <Link href="/products">
          <Card className="hover:bg-gray-50 transition-colors">
            <CardHeader>
              <CardTitle>Products</CardTitle>
              <CardDescription>Manage product catalog</CardDescription>
            </CardHeader>
            <CardContent>
              <p>View, create, edit, and delete products</p>
            </CardContent>
          </Card>
        </Link>
      </div>
    </div>
  );
}
